<?php
include(TEMPLATEPATH."/js/breadcrumb-navigation-xt.php"); 
if ( function_exists('register_sidebar') ){
    register_sidebar(array(
        'before_widget' => '<div class="box">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	}

function slider($before = '<li>', $after = '</li>') {
    global $wpdb, $table_prefix;
    $sql = "select ID,post_title,post_date from ". $table_prefix ."posts where post_status = 'publish' and post_type = 'post'and ID in (SELECT post_id FROM ". $table_prefix ."postmeta where meta_key = 'flash_img')";
	$sql .= "ORDER BY post_date DESC LIMIT 5";
    $posts = $wpdb->get_results($sql);
	$output = '';
    foreach ($posts as $post) {
    $post_title = stripslashes($post->post_title);
    $permalink = get_permalink($post->ID);
	$thumbnail = get_post_meta($post->ID, 'flash_img', true); 
	$output .= $before . '<a href="' . $permalink . '" rel="bookmark" title="' . $post_title . '" target="_blank"><img src="' . $thumbnail . '" alt="' . $post_title . '" /></a>'. $after;
	}
	echo $output;
}

function wp_rg_related_posts($limit = 8)
{
global $wpdb, $post,$table_prefix;
if(!$post->ID){return;}
$now = current_time('mysql', 1);
$tags = wp_get_post_tags($post->ID);
$taglist = "'" . $tags[0]->term_id. "'";
$tagcount = count($tags);
if ($tagcount > 1) {
    for ($i = 1; $i < $tagcount; $i++) {
        $taglist = $taglist . ", '" . $tags[$i]->term_id . "'";
    }
}
    $limitclause = "LIMIT $limit";
$q = "SELECT p.ID, p.post_title, p.post_date,  p.comment_count, count(t_r.object_id) as cnt FROM $wpdb->term_taxonomy t_t, $wpdb->term_relationships t_r, $wpdb->posts p WHERE t_t.taxonomy ='post_tag' AND t_t.term_taxonomy_id = t_r.term_taxonomy_id AND t_r.object_id  = p.ID AND (t_t.term_id IN ($taglist)) AND p.ID != $post->ID AND p.post_status = 'publish' AND p.post_date_gmt < '$now' GROUP BY t_r.object_id ORDER BY cnt DESC, p.post_date_gmt DESC $limitclause;";
$related_posts = $wpdb->get_results($q);
$output = "";
if (!$related_posts)
{
    $output  .= '<li>无相关日志</li>';
}
foreach ($related_posts as $related_post )
{
    if ( get_post_meta($related_post->ID, 'thumbnail', true) ) {
        $related_thumb = get_post_meta($related_post->ID, 'thumbnail', true);
    } else {
        $related_thumb = '/wp-content/themes/Red%20Glamor/img/blank.jpg';//无缩略图时显示默认图片
    }
    $output .=  '<li><a href="'.get_permalink($related_post->ID).'" title="'.wptexturize($related_post->post_title).'"><img src="' . $related_thumb . '" alt="'.wptexturize($related_post->post_title).'" /></a><a href="'.get_permalink($related_post->ID).'" title="'.wptexturize($related_post->post_title).'">'.wptexturize($related_post->post_title).'</a></li>';
}
echo $output;
}

function custom_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
         <div class="comment-author vcard">
                <?php echo get_avatar($comment,$size='28',$default='<path_to_url>' ); ?>
                <div class="author_info">
					<?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?> <?php edit_comment_link(__('(Edit)'),'  ','') ?><br />
                    <em><?php printf(__('%1$s  %2$s'), get_comment_date('Y/m/d '),  get_comment_time(' H:i:s')) ?></em>
                </div>
                <div class="reply">
			   		<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
              	</div>
          </div>
		  <?php if ($comment->comment_approved == '0') : ?>
             <em>您的评论正在审核中。</em>
             <br />
          <?php endif; ?>

      		<?php comment_text() ?>
     </div>
<?php
        }
?>