<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="distribution" content="global" />
<meta name="robots" content="follow, all" />
<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' - '; } ?> <?php bloginfo('name'); ?> <?php if ( $paged < 2 ) {} else { echo (' - 第'); echo ($paged);echo ('页');}?></title>
<?php if (is_home()){ 
    $description = "博客描述，自行修改"; 
    $keywords = "博客关键词，自行修改"; 
} elseif (is_single()){ 
    if ($post->post_excerpt) { 
        $description     = $post->post_excerpt; 
    } else { 
        $description = substr(strip_tags($post->post_content),0,220); 
    } 
  
    $keywords = ""; 
    $tags = wp_get_post_tags($post->ID); 
    foreach ($tags as $tag ) { 
        $keywords = $keywords . $tag->name . ", "; 
    } 
} 
?> 
<meta name="keywords" content="<?=$keywords?>" /> 
<meta name="description" content="<?=$description?>" /> 
<link rel="Shortcut Icon" href="favicon.ico" type="image/x-icon" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?> 
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/tab.js" charset="utf-8"></script>
<?php wp_head(); ?>
</head>
<body>
<div id="header">
<div class="head_info">
<h1><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><span class="exp"><?php bloginfo('name'); ?></span></a></h1>
</div>
<?php include(TEMPLATEPATH . '/searchform.php'); ?>
<div id="menu_out">
<div id="menu_in">
<div id="menu">
<ul id="nav">
<li><a href="<?php bloginfo('url'); ?>" onmouseover="javascript:ftab(0)"  id="nav0" <?php if ( is_home() ) { echo ' class="nav_on"'; } else { echo ' class="nav_off"'; } ?>><span>首 页</span></a></li>
<li><a onmouseover="javascript:ftab(1)" id="nav1" <?php if ( is_category() || is_archive() || is_search() || is_single() || is_date() ) { echo ' class="nav_on"'; } else { echo ' class="nav_off"'; } ?>><span>分类目录</span></a></li>
<li><a href="<?php bloginfo('url'); ?>/about" onmouseover="javascript:ftab(2)" id="nav2" <?php if ( is_page('about') ) { echo ' class="nav_on"'; } else { echo ' class="nav_off"'; } ?>><span>关于</span></a></li>
</ul>
<div id="subnav">
<div id="subnav0" style="display: block">
<ul>
<li><span class="text">欢迎访问<?php bloginfo('name'); ?>！</span></li>
</ul>
</div> 
<div id="subnav1" style="display: none">
<ul>
<?php foreach ( get_categories('exclude=1&order=desc') as $category ) { if ( $category->category_parent == '0' ) { ?>
<li><a href="<?php echo get_category_link($category->cat_ID); ?>"><span><?php echo $category->cat_name; ?></span></a></li>
<?php } } ?>
</ul>
</div> 
<div id="subnav2" style="display: none">
<ul>
  <li><span class="text">关于我，关于我的博客。</span></li>
</ul>
</div> 
</div>
</div>
</div>
</div>
</div>
<div id="container">